state("gv_win")
{
	int		loadingState	: 0xB9FBA0, 0x1E4;
	int		gameState	: 0xB9FBA0, 0x0, 0x0, 0x0, 0x0, 0x4AC;
	float		igt		: 0x14CB86C;
	int 		roomIndex	: 0xBB8134;
	int		gunvoltHP 	: 0x14B7B64;
	int 		bossHP 		: 0xBB0ADC, 0x2D8;
}

init
{
	refreshRate = 30;
	vars.newGame = true;
	vars.scoreScreen = false;
}

update
{
	if ((current.gameState == 21 || current.gameState == 18) && current.loadingState == 1)
	{
		vars.newGame = true;
	}
	
	if (!vars.newGame && current.gameState == 10 && current.loadingState != 2)
	{
		vars.scoreScreen = true;
	}
}
	
start
{
	var result = vars.newGame && current.loadingState == 11;
	if (result)
	{
		vars.newGame = false;
		vars.scoreScreen = false;
	}
	
	return result;
}

isLoading
{
	return current.loadingState == 2 || old.igt == current.igt;
}

reset
{
	return current.loadingState != 2 && current.loadingState != 11 && current.loadingState != 14;
}

split
{
	var result = vars.scoreScreen && old.loadingState != 2 && current.loadingState == 2;
	if (result)
	{
		vars.scoreScreen = false;
	}
	else
	{
		result = current.roomIndex == 38 && old.igt == current.igt && old.loadingState == 11 && current.loadingState == 11 && old.bossHP == 0 && current.bossHP == 0 && current.gunvoltHP != 0;
	}
	
	return result;
}